Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Update after USE change fails
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
deltamalloc
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jan 2013
Posts: 128

PostPosted: Fri Aug 09, 2013 1:10 am    Post subject: Update after USE change fails Reply with quote

I have just installed Gentoo on a new system. I used first the open source radeon driver for an hour or so, now I'm switching to fglrx.

I use this guide: http://wiki.gentoo.org/wiki/Fglrx

Code:

emerge --update --deep --newuse world


This gives me the following errors:

Code:

Calculating dependencies... done!

>>> Verifying ebuild manifests
>>> Running pre-merge checks for x11-drivers/ati-drivers-13.4

>>> Emerging (1 of 9) x11-drivers/ati-drivers-13.4
 * amd-catalyst-13.4-linux-x86.x86_64.zip SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                            [ ok ]
 * xvba-sdk-0.74-404001.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                       [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/3.8.13-gentoo/build
 * Found sources for kernel version:
 *     3.8.13-gentoo
 * Checking for suitable kernel configuration options...
 *   CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
 *      rendering to work.
 *   CONFIG_PCI_MSI:     is not set when it should be.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.
 * Once you have satisfied these options, please try merging
 * this package again.
 * ERROR: x11-drivers/ati-drivers-13.4 failed (setup phase):
 *   Incorrect kernel configuration options
 *
 * Call stack:
 *                 ebuild.sh, line  93:  Called pkg_setup
 *   ati-drivers-13.4.ebuild, line 201:  Called linux-mod_pkg_setup
 *          linux-mod.eclass, line 561:  Called linux-info_pkg_setup
 *         linux-info.eclass, line 907:  Called check_extra_config
 *         linux-info.eclass, line 801:  Called die
 * The specific snippet of code:
 *              die "Incorrect kernel configuration options"
 *
 * If you need support, post the output of `emerge --info '=x11-drivers/ati-drivers-13.4'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/ati-drivers-13.4'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-13.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-13.4/temp/die.env'.
 * Working directory: '/usr/lib64/portage/pym'
 * S: '/var/tmp/portage/x11-drivers/ati-drivers-13.4/work'

>>> Failed to emerge x11-drivers/ati-drivers-13.4, Log file:

>>>  '/var/tmp/portage/x11-drivers/ati-drivers-13.4/temp/build.log'

 * Messages for package x11-drivers/ati-drivers-13.4:

 *   CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
 *      rendering to work.
 *   CONFIG_PCI_MSI:     is not set when it should be.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.
 * Once you have satisfied these options, please try merging
 * this package again.
 * ERROR: x11-drivers/ati-drivers-13.4 failed (setup phase):
 *   Incorrect kernel configuration options
 *
 * Call stack:
 *                 ebuild.sh, line  93:  Called pkg_setup
 *   ati-drivers-13.4.ebuild, line 201:  Called linux-mod_pkg_setup
 *          linux-mod.eclass, line 561:  Called linux-info_pkg_setup
 *         linux-info.eclass, line 907:  Called check_extra_config
 *         linux-info.eclass, line 801:  Called die
 * The specific snippet of code:
 *              die "Incorrect kernel configuration options"
 *
 * If you need support, post the output of `emerge --info '=x11-drivers/ati-drivers-13.4'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/ati-drivers-13.4'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-13.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-13.4/temp/die.env'.
 * Working directory: '/usr/lib64/portage/pym'
 * S: '/var/tmp/portage/x11-drivers/ati-drivers-13.4/work'


These errors appear to be false positives as I have tried:

CONFIG_DRM as 'y'
CONFIG_DRM as 'm'
CONFIG_DRM as 'n'

Furthermore I have CONFIG_PCI_MSI as 'y'.

I get the exact same errors if I use:

Code:

emerge --ask --changed-use --deep @world


Instead of

Code:

emerge --update --deep --newuse world
Back to top
View user's profile Send private message
deltamalloc
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jan 2013
Posts: 128

PostPosted: Fri Aug 09, 2013 2:24 am    Post subject: Reply with quote

Solution:

Use 3.8.13-gentoo and not the latest kernel.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum